Is OF legit with SDK 4.0?

Hi all,
I am new to OF but very intrigued by the quality of the library and it’s potential use for iPhone and iPad development. However, is OF compatible with the terms of the latest SDK? In other words, the SDK seems fairly explicit in that the code must be developed entirely in Obj-C.

Given this clause, it OF legit with SDK 4.0? Has anyone actually written an app with OF / SDK 4.0 and successfully had their app accepted?

Thankfully,
Aaron

yes it’s fine:

3.3.1 — Applications may only use Documented APIs in the manner prescribed by Apple and must not use or call any private APIs. Applications must be originally written in Objective-C, C, C++

with the emphasis on ** C, C++**

take care,
zach

Brilliant, thanks much.